//#version 410 core
#define TARGET_IPHONE 1

#if TARGET_IPHONE

precision highp float;
varying vec2 vTexCoord;
varying vec4 vColor;

#else
in vec2 vTexCoord;
in vec4 vColor;
out vec4 outColor;

#endif

uniform sampler2D sDiffMap;

void main()
{
#if TARGET_IPHONE
    vec4 diffInput = texture2D(sDiffMap, vTexCoord);
    gl_FragColor = diffInput * vColor;
    //gl_FragColor = vec4(1.0, 1.0, 0.0, 1.0);
#else
    vec4 diffInput = texture(sDiffMap, vTexCoord);
    outColor = diffInput;
#endif
    

}
